@font-face {
  font-family: "Ubuntu";
  src: url("./fonts/Ubuntu-Regular.woff") format("woff");
  font-weight: 400;
}

@font-face {
  font-family: "Ubuntu";
  src: url("./fonts/Ubuntu-Medium.woff") format("woff");
  font-weight: 500;
}

html {
  height: 100%;
  font-family: sans-serif;
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --background: #303030;
  --text-color: #fff;
  --active-color: #60c187;
}

.page {
  font-family: 'Ubuntu', 'Arial', sans-serif;
  font-size: 16px;
  font-weight: 400;
  background-color: var(--background);
  color: var(--text-color);
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.container {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

.header {
  position: relative;
  margin-top: 15px;
  margin-bottom: 5px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  background-image: url(icons/logo.svg);
  width: 198px;
  height: 55px;
  background-size: contain;
  background-repeat: no-repeat;
}

.light-theme {
  filter: invert(97%) sepia(108%) saturate(1011%) hue-rotate(121deg) brightness(70%) contrast(99%);
}

li {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
}

.burger-menu {
  cursor: pointer;
  margin-right: 10px;
}

path{
  transition: transform 0.25s;
}

.active-menu path:nth-of-type(1){
  transform: rotate(45deg);
  transform-origin: -1px 3px;
}

.active-menu path:nth-of-type(2){
  display: none;
}

.active-menu path:nth-of-type(3){
  transform: rotate(-45deg);
  transform-origin: 0px 13px;
}

.nav-container {
  display: flex;
}

.lang-btn {
  cursor: pointer;
  display: inline-block;
  margin-left: 10px;
  transition: all 0.3s;
}

.lang-btn:hover {
  color: var(--active-color);
}

.nav-list {
  position: absolute;
  overflow: hidden;
  top: 59px;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--background);
  box-shadow: 0px 400px 0px 399px rgb(55 55 55 / 0%);
  transition: all 0.3s;
}

.nav-list-open {
  height: 230px;
  box-shadow: 0px 400px 0px 399px rgb(55 55 55 / 74%);
}

.nav-item {
  cursor: pointer;
  margin-top: 30px;
  width: fit-content;
}

.nav-item-current {
  cursor: default;
  color: var(--active-color);
  font-weight: 500;
}

.main {
  flex: 1 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  background-color: #8080806e;
  border-radius: 20px;
  padding-top: 15px;
  padding-bottom: 15px;
}

.greeting {
  width: 100%;
  height: fit-content;
}

.heading {
  margin-bottom: 17px;
  font-size: 1.5rem;
  font-weight: 400;
}

.bird-animation {
  display: flex;
  justify-content: center;
}

.text {
  margin: 10px 0;
  text-align: justify;
  font-size: 14px;
  line-height: 1.5;
}

.start-btn {
  cursor: pointer;
  display: block;
  margin: 20px 0;
  padding: 10px;
  width: 100%;
  background-color: var(--active-color);
  border-radius: 10px;
  border: none;
  font-family: inherit;
  font-size: inherit;
  font-weight: 500;
  color: var(--background);
  box-shadow: -1px 3px 11px 1px rgb(211 214 216 / 25%);
  transition: all 0.3s;
}

.start-btn:active,
.next-round-btn:active {
  background-color: #3ea768;
}

.transparent {
  opacity: 0;
}

.round-list {
  margin-bottom: 15px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  padding: 6px 0;
  background-color: #008966;
  border-radius: 10px;
}

.current-round {
  background-color: #00bc8c;
}

.score {
  margin-bottom: 10px;
  background: linear-gradient(to right,
      rgb(0, 188, 140) 0%,
      rgb(61, 133, 140) 50%,
      rgb(0, 188, 140) 100%);
  border-radius: 10px;
  padding: 10px;
  width: 200px;
  margin-left: auto;
}

.question-block {
  display: flex;
  flex-direction: column;
  padding: 1rem;
  margin-bottom: 25px;
  border-radius: 10px;
  background-color: #ffffff38;
}

.question-img {
  overflow: hidden;
  width: 200px;
  height: 155px;
  border-radius: 10px;
  margin: 0 auto 25px;
  background: url('./images/alt-img.webp') #fff 13px 3px/82% 134% no-repeat;
}

.question-img-bird {
  width: 200px;
  height: 155px;
  object-fit: cover;
  vertical-align: middle;
  opacity: 0;
  transition: all 0.3s;
}

.bird-name {
  margin-bottom: 0.5rem;
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 2;
  border-bottom: #fff3 1px solid;
}

.question-data {
  flex-grow: 1;
}

.round {
  padding: 5px 12px;
  border-radius: 7px;
}

.audio-player {
  margin: 10px 0 0 0;
  width: 100%;
  min-width: 100px;
}

.controls,
.playback-button {
  display: flex;
  align-items: center;
}

.playback-button {
  transition: 0.2s;
  width: 40px;
  height: 40px;
  border: 2px solid #00bc8c;
  justify-content: center;
  border-radius: 50%;
  margin-right: 15px;
  margin-bottom: 12px;
  cursor: pointer;
}

.playback-button svg {
  transition: .2s;
  width: 18px;
  height: 18px;
}

.timebar {
  position: relative;
  flex: 1 1;
  margin-top: 12px;
}

.timebar-bar {
  cursor: pointer;
  height: 4px;
  background: rgb(102 100 100);
}

.timebar-circle {
  background-color: grey;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  position: absolute;
  top: 0;
  transform: translate(-50%,calc(-50% + 2px));
  box-shadow: 0 0 4px 0 rgb(0 0 0 / 20%);
}

.timebar-time-info {
  margin-top: 8px;
  font-size: 11px;
  color: #d3d3d3;
  display: flex;
  justify-content: space-between;
}

.volume-btn {
  position: relative;
  width: 27px;
  height: 27px;
  margin: 0 0 10px 15px;
}

.volume-container {
  position: absolute;
  left: 0;
  bottom: 0;
  overflow: hidden;
  cursor: pointer;
  width: 27px;
  height: 27px;
  border: 2px solid #00bc8c;
  background-color: #7c7c7c;
  border-radius: 27px;
  transition: all 0.5s;
}

.volume-slider {
  position: absolute;
  left: -38px;
  bottom: 76px;
  width: 100px;
  height: 4px;
  transition: all 0.5s ease-in;
  rotate: 270deg;
}

input[type=range] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  cursor: pointer;
}

input[type='range']::-webkit-slider-runnable-track {
  appearance: none;
  overflow: hidden;
}

input[type=range]::-webkit-slider-thumb {
  appearance: none;
  background-color: grey;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  box-shadow: 0 0 4px 0 rgb(0 0 0 / 20%);
  cursor: pointer;
}

input[type=range]::-moz-range-thumb {
  background-color: grey;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  box-shadow: 0 0 4px 0 rgb(0 0 0 / 20%);
  cursor: pointer;
}

.volume-container:hover {
  height: 142px;
}

.volume-on {
  position: absolute;
  left: 5px;
  bottom: -2px;
  background-image: url("./icons/volume.svg");
  background-repeat: no-repeat;
  background-size: 16px;
  width: 23px;
  height: 22px;
}

.next-round-btn {
  cursor: pointer;
  display: block;
  margin: 0 0 20px;
  padding: 10px;
  width: 100%;
  background: linear-gradient(to right,
      rgb(0, 188, 140) 0%,
      rgb(61, 133, 140) 50%,
      rgb(0, 188, 140) 100%);
  border-radius: 10px;
  border: none;
  font-family: inherit;
  font-size: inherit;
  font-weight: 500;
  color: var(--text-color);
  transition: all 0.3s;
}

.next-round-btn:disabled {
  background: var(--background);
  color: #7c7c7c;
}

.round-list,
.score,
.next-round-btn {
  color: #fff;
}

.options-block,
.info-block {
  overflow: hidden;
  margin-bottom: 25px;
  border-radius: 10px;
  background-color: #ffffff38;
  flex-grow: 1;
  height: fit-content;
}

.list-group-item {
  cursor: pointer;
  padding: 0.85rem 1.25rem;
  border-bottom: 1px solid #0000006e;
  text-align: left;
}

.list-group-item:last-child {
  border-bottom: none;
}

.list-group-item:hover {
  background-color: #979797;
}

.li-btn {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin-right: 15px;
  border-radius: 50%;
  transition: 0.1s;
  background-color: #0000006e;
}

.error .li-btn {
  background-color: #d62c1a;
}

.success .li-btn {
  background-color: #00bc8c;
}

.instruction {
  margin: 20px 10px;
}

.card-body {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.bird-image {
  margin: 15px auto 0;
  width: 200px;
  height: 155px;
  border-radius: 10px;
  object-fit: cover;
  vertical-align: middle;
  border-style: none;
}

.card-info {
  padding: 1rem;
}

.bird-name-card {
  font-size: 1.4rem;
  line-height: 1.5;
}

.bird-name-lat {
  font-size: inherit;
  font-weight: 400;
}

.bird-info {
  margin: 0 1rem 1rem 1rem;
  text-align: justify;
}

.visible {
  opacity: 1;
}

.congrats {
  font-size: 18px;
}

.game-over {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.gallery {
  overflow-y: scroll;
  height: 80vh;
  border-radius: 10px;
}

.gallery::-webkit-scrollbar {
  width: 0;
  height: 0;
}

.footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  padding-bottom: 15px;
  margin-top: 10px;
}

.logo-rss {
  background-image: url(icons/logo-rss.svg);
  width: 77px;
  height: 30px;
  background-size: contain;
  background-repeat: no-repeat;
  filter: invert(100%);
}

.github-container {
  align-items: center;
}

.contact-link {
  margin-left: 15px;
}

.github-svg {
  fill: var(--text-color);
}

.hidden {
  display: none;
}

.note-1,
.note-2,
.note-3 {
  width: 24px;
  height: 24px;
}

.note-1 {
  fill: #3eb06a;
  animation: fly 0.85s ease-in-out infinite;
}

.note-2 {
  fill: #e9be0a;
  translate: 0 60px;
  animation: fly 1s ease-in-out infinite;
}

.note-3 {
  fill: #3e6cb0;
  rotate: 12deg;
  translate: 0 20px;
  animation: fly 1.15s ease-in-out infinite;
}

.flying-bird {
  display: block;
  position: relative;
  width: 145px;
  height: 170px;
}

#bird {
  animation: fly .9s ease-in-out infinite;
}

#shadow {
  animation: shadow .9s ease-in-out infinite;
}

#rightwing {
  animation: rightwing .25s ease-in-out infinite;
  transform-origin: 330px 350px;
}

#leftwing {
  animation: leftwing .25s ease-in-out infinite;
  transform-origin: 90px 390px;
}

#leftpupil {
  animation: leftpupil 12s ease-in-out infinite;
}

#rightpupil {
  animation: rightpupil 12s ease-in-out infinite;
}

.disappear {
  animation: disappear 0.4s ease;
  animation-fill-mode: forwards;
}

.appear {
  animation: disappear 0.5s ease;
  animation-direction: reverse;
  animation-fill-mode: forwards;
}

@keyframes fly {
  from {transform: translateY(0);}
  50% {transform: translateY(12px);}
}

@keyframes rightwing {
  from {transform: rotate(0deg);}
  50% {transform: rotate(40deg);}
}

@keyframes leftwing {
  from {transform: rotate(0deg);}
  50% {transform: rotate(-30deg);}
}

@keyframes leftpupil {
  17% {transform: translateX(0);} 
  20% {transform: translateX(10px);}
  47% {transform: translateX(10px);}
  50% {transform: translateX(0) translateY(-30px);}
  82% {transform: translateX(0) translateY(-30px);}
  85% {transform: translateX(-50px) translateY(-5px);}
  97% {transform: translateX(-50px) translateY(-5px);}
}

@keyframes rightpupil {
  17% {transform: translateX(0);}
  20% {transform: translateX(70px);}
  48% {transform: translateX(70px);}
  50% {transform: translateX(0) translateY(-30px);}
  82% {transform: translateX(0) translateY(-30px);}
  85% {transform: translateX(-12px) translateY(-5px);}
  97% {transform: translateX(-12px) translateY(-5px);}
}

@keyframes disappear {
  from { opacity: 1;}
  to { opacity: 0;}
}

@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }

  .burger-menu {
    display: none;
  }

  .lang-btn {
    margin-left: 20px;
  }

  .nav-list {
  position: static;
  width: 100%;
  height: auto;
  flex-direction: row;
  align-items: center;
  box-shadow: none;
  }

  .nav-item {
    margin-top: 13px;
    margin-left: 20px;
  }

  .question-block {
    flex-direction: row;
  }

  .question-img {
    margin: 0 40px 0 0;
  }

  .audio-player {
    margin-top: 30px;
  }
}

@media (min-width: 728px) {
  .container {
    max-width: 720px;
  }

    .nav-item {
    margin-left: 40px;
  }

  .heading {
    font-size: 2rem;
    margin-bottom: 40px;
  }

  .flying-bird {
    width: 300px;
  }

  .start-btn,
  .next-round-btn {
    width: 430px;
    margin-left: auto;
    margin-right: auto;
  }

  .options-container {
    display: grid;
    grid-template-columns: 0.8fr 1.2fr;
    gap: 20px;
  }

  .info-block {
    min-height: 280px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }

  .nav-item,
  .logo-rss,
  .contact-link {
    transition: all 0.3s;
  }

  .nav-item:hover {
    color: var(--active-color);
  }

  .logo-rss:hover {
    filter: invert(63%) sepia(28%) saturate(680%) hue-rotate(106deg) brightness(90%) contrast(82%);
  }

  .contact-link:hover {
    filter: invert(40%) sepia(28%) saturate(680%) hue-rotate(106deg) brightness(100%) contrast(82%);
  }

  .start-btn:hover,
  .next-round-btn:hover {
    box-shadow: 0px 0px 10px 1px rgb(211 214 216 / 42%);
  }

  .flying-bird {
    height: 200px;
  }

  .playback-button:hover svg {
    transform: scale(1.3, 1.3);
  }

  .card-body {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .card-info {
    width: 57%;
  }

  .bird-image {
    margin: 1rem;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1140px;
  }
}

@media (min-width: 1400px) {
    .header {
    margin-top: 5vh;
  }
}